Frama-C Bug Tracking System

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001026Frama-CPlug-in > value analysispublic2011-11-25 16:572012-09-19 17:16
Reporterpherrmann 
Assigned Toyakobowski 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product VersionFrama-C Nitrogen-20111001 
Target VersionFrama-C Oxygen-20120901Fixed in VersionFrama-C Oxygen-20120901 
Summary0001026: value analysis memory consumption problem when using -lib-entry option
DescriptionWhen calling the value analysis with the -lib-entry option, on a program declaring a big static array, the computation of the initial state consumes an huge amount of memory (Out of memory exception likely).

For instance, try

frama-c -lib-entry -main f ./f.c -val

on

char mem[100000000];

int f(int x) {
  return x;
}


Additional Informationsvn around 16000 (but not a very recent bug)
TagsNo tags attached.
Attached Files

- Relationships
related to 0000759closedpascal wrong treatment for const arrays in lib-entry mode 

-  Notes
There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2011-11-25 16:57 pherrmann New Issue
2011-11-25 16:57 pherrmann Status new => assigned
2011-11-25 16:57 pherrmann Assigned To => pascal
2012-04-07 23:56 yakobowski Assigned To pascal => yakobowski
2012-04-07 23:57 yakobowski Relationship added related to 0000759
2012-04-08 00:05 yakobowski Target Version => Frama-C Oxygen-2012xx01
2012-05-19 14:22 svn Checkin
2012-05-19 14:22 svn Status assigned => resolved
2012-05-19 14:22 svn Resolution open => fixed
2012-09-19 17:15 signoles Fixed in Version => Frama-C Oxygen-20120901
2012-09-19 17:16 signoles Status resolved => closed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker